## ros-rolling-nao-lola-conversion 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(nao_lola_conversion)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# Find dependencies
find_package(ament_cmake REQUIRED)
find_package(message_filters REQUIRED)
find_package(nao_lola_sensor_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  ament_cmake
  message_filters
  nao_lola_sensor_msgs
  rclcpp
  rclcpp_components
  sensor_msgs
  tf2_geometry_msgs)

# Build
add_library(${PROJECT_NAME}_node SHARED
  src/nao_lola_conversion.cpp)
target_include_directories(${PROJECT_NAME}_node PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

rclcpp_components_register_node(${PROJECT_NAME}_node
  PLUGIN "nao_lola_conversion::NaoLolaConversion"
  EXECUTABLE ${PROJECT_NAME})

ament_target_dependencies(${PROJECT_NAME}_node ${THIS_PACKAGE_INCLUDE_DEPENDS})

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

# Install
install(
  DIRECTORY include/
  DESTINATION include)
install(
  TARGETS ${PROJECT_NAME}_node
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include)

# Test
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-nao-lola-conversion (1.1.1-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Wed, 23 Aug 2023 00:00:00 -0000

ros-rolling-nao-lola-conversion (1.1.0-1jammy) jammy; urgency=high

  * switch nao_lola_conversion to use nao_lola_sensor_msgs
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Thu, 03 Aug 2023 00:00:00 -0000

ros-rolling-nao-lola-conversion (1.0.0-1jammy) jammy; urgency=high

  * Migrate nao/nao_interfaces_package to nao_lola_conversion package.
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Wed, 02 Aug 2023 00:00:00 -0000

ros-rolling-nao-lola-conversion (0.3.1-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Sat, 20 May 2023 00:00:00 -0000

ros-rolling-nao-lola-conversion (0.3.0-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-nao-lola-conversion (0.2.0-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Thu, 21 Jul 2022 00:00:00 -0000

ros-rolling-nao-lola-conversion (0.0.4-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Fri, 04 Feb 2022 00:00:00 -0000

ros-rolling-nao-lola-conversion (0.0.3-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Thu, 29 Jul 2021 00:00:00 -0000

ros-rolling-nao-lola-conversion (0.0.2-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Tue, 20 Jul 2021 00:00:00 -0000

ros-rolling-nao-lola-conversion (0.0.1-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Sat, 17 Jul 2021 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-nao-lola-conversion
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-message-filters, ros-rolling-nao-lola-sensor-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-tf2-geometry-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-nao-lola-conversion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-message-filters, ros-rolling-nao-lola-sensor-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-tf2-geometry-msgs, ros-rolling-ros-workspace
Description: A package that converts Nao Lola messages to / from common ROS interfaces

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-nao-lola-conversion//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
